List Schedules
GET /schedulesParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
agent_id | query | string (uuid) | null | optional | — |
kind | query | cron | interval | one_shot | event | null | optional | — |
is_active | query | boolean | null | optional | — |
q | query | string | null | optional | — |
limit | query | integer | optional | Default 50. min 1 max 200 |
cursor | query | string | null | optional | — |
offset | query | integer | null | optional | min 0 |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | Page_ScheduleView_ |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/schedules \ -H "Authorization: Bearer $COBRE_TOKEN"Response — Page_ScheduleView_
Section titled “Response — Page_ScheduleView_”| Field | Type | Notes | |
|---|---|---|---|
items | ScheduleView[] | required | — |
next_cursor | string | null | optional | — |
total | integer | null | optional | — |